Cubase Leopard Compatibility

OSX Leopard installer available for Cubase 4 and Cubase Studio 4      06/12/07
Cubase Leopard Compatibility

Steinberg has issued an installer patch for the 4.0 versions of Cubase and Cubase Studio. The patch enables Cubase and Cubase Studio owners running OSX 10.5 to install their version of Cubase from the installer DVD. Steinberg product specialists recommend then additionally installing the free update to 4.1.
Steinberg tell us that, while this installer patch allows Cubase 4 and Cubase Studio 4 to be installed on Leopard, it does not offer full and official compatibility with this OSX version. Leopard will be fully and officially supported by Cubase and Cubase Studio with a later update to both products, which is planned for release in Q1 2008.
For more information about Leopard compatibility for Steinberg products, there is an article in the Steinberg Knowledge Base. More information:


    More From: STEINBERG
    Even more news...

    1 Comments...  Post a comment    original story
    Jack Hicks    Said...

    I am haveing problems with the core midi and my control surface. It will work for awhile then it justs stops. I then have to use the force quit to get out of cubase then I have to reboot the computer to get it to work again.

    01-Feb-08 12:20 AM

    Post a comment 

More Videos

Presentation: Modal Electronics 001 Duophonic Synth 

Features run down

A Visit To Moog SoundLab UK 

Finlay Shakespeare runs us though what the UK SoundLab is all about

Modal Electronics 001 Sounds 

A short burst of British duophonic

Presentation: Panorama P4 with Reaper 

Multiple Instrument and Plug-in native mapping